(: Composants (rôle)... :)

(: '//' signifie qu'on balaie tous les éléments '<Article>' quelque soit leur niveau de profondeur :)
let $articles := doc("./data/Articles_.xml")//Article  
let $liens_de_nomenclature := doc("./data/Articles_.xml")//Lien_de_nomenclature

return <table><tr><th>Réference</th><th>Désignation</th><th>Type</th></tr>
        {
            for $article in $articles 
            (:where true():)
            return
                <tr>
                {
(: Attention, les composants apparaîtront plusieurs fois, voir la fonction 'distinct-values' :)
                        for $lien_de_nomenclature in $liens_de_nomenclature  
                        return
                            if (data($lien_de_nomenclature/composant) = data($article/@reference))
                            (: Attention à la virgule à l'intérieur du 'then' :)
                            then (  <td>{data($article/@reference)}</td>,
                                    <td>{data($article/designation)}</td>,
(: '*' signifie tous les éléments fils puis on prend le 1er... :)
                                    <td>{name($article/PF_ou_MP_ou_Piece_ou_SE/*[1])}</td>)
                            else ()
                }
                </tr>
        }
</table>


